Name:		yoshimi
Version:	2.3.3.3
Release:	%mkrel 1
Summary:	Real-time MIDI software synthesizer
License:	GPLv2+
Group:		Sound/Midi
URL:		https://yoshimi.sourceforge.net/
Source0:	https://github.com/Yoshimi/yoshimi/archive/%{version}/%{name}-%{version}.tar.gz
Patch1:		0001-fix-permissions.patch
Patch2:		0002-Fix-using-our-cflags.patch

BuildRequires:	cmake
BuildRequires:	boost-devel
BuildRequires:	fltk-devel
BuildRequires:	pkgconfig(readline)
BuildRequires:	pkgconfig(alsa)
BuildRequires:	pkgconfig(cairo)
BuildRequires:	pkgconfig(fftw3)
BuildRequires:	pkgconfig(fontconfig)
BuildRequires:	pkgconfig(glu)
BuildRequires:	pkgconfig(jack)
BuildRequires:	pkgconfig(lv2)
BuildRequires:	pkgconfig(mxml)
BuildRequires:	pkgconfig(sm)

%description
Yoshimi is a rewrite of ZynAddSubFx to improve its compatibility with
the Jack Audio Connection Kit.

Yoshimi is an open source software synthesizer capable of making a
countless number of instrument sounds. It is microtonal, and the instruments
made by it sounds like those from professional keyboards. The program has
effects like Reverb, Echo, Chorus, Phaser...

%prep
%setup -q
%autopatch -p1

%build
%global _vpath_srcdir src
%cmake \
	-DCMAKE_INSTALL_DATAROOTDIR=%{_datadir}
%cmake_build

%install
%cmake_install

%files
%doc %{_docdir}/%{name}/
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_iconsdir}/hicolor/*/apps/%{name}*.svg
%{_libdir}/lv2/yoshimi.lv2/
%{_metainfodir}/%{name}.metainfo.xml
%{_mandir}/man1/%{name}.1.*


%changelog
* Wed Mar 05 2025 daviddavid <daviddavid> 2.3.3.3-1.mga10
+ Revision: 2161106
- new version: 2.3.3.3

* Sat Dec 14 2024 daviddavid <daviddavid> 2.3.3.2-1.mga10
+ Revision: 2124962
- new version: 2.3.3.2

* Mon Oct 07 2024 daviddavid <daviddavid> 2.3.3.1-1.mga10
+ Revision: 2103962
- new version: 2.3.3.1

* Tue Feb 27 2024 daviddavid <daviddavid> 2.3.2-1.mga10
+ Revision: 2044618
- new version: 2.3.2

* Wed Dec 20 2023 daviddavid <daviddavid> 2.3.1.3-1.mga10
+ Revision: 2020325
- new version: 2.3.1.3

* Sun Dec 03 2023 daviddavid <daviddavid> 2.3.1.2-1.mga10
+ Revision: 2012806
- new version: 2.3.1.2

* Thu Oct 19 2023 daviddavid <daviddavid> 2.3.1-1.mga10
+ Revision: 1999321
- new version: 2.3.1

* Mon Aug 28 2023 daviddavid <daviddavid> 2.3.0.3-1.mga10
+ Revision: 1980519
- new version: 2.3.0.3

* Thu Feb 16 2023 daviddavid <daviddavid> 2.2.3-1.mga9
+ Revision: 1943075
- new version: 2.2.3

* Sun Oct 02 2022 neoclust <neoclust> 2.2.2.1-1.mga9
+ Revision: 1893843
- New version 2.2.2.1

* Sat Sep 10 2022 papoteur <papoteur> 2.2.2-1.mga9
+ Revision: 1886444
- new 2.2.2

* Sun Aug 07 2022 kekepower <kekepower> 2.2.1-1.mga9
+ Revision: 1875723
- Update to version 2.2.1

* Fri Apr 01 2022 umeabot <umeabot> 2.0.1-2.mga9
+ Revision: 1838589
- Mageia 9 Mass Rebuild

* Sun Apr 18 2021 daviddavid <daviddavid> 2.0.1-1.mga9
+ Revision: 1716749
- new version: 2.0.1

* Tue Mar 02 2021 daviddavid <daviddavid> 2.0-1.mga9
+ Revision: 1695728
- new version: 2.0

* Mon Jan 11 2021 daviddavid <daviddavid> 1.7.4-1.mga8
+ Revision: 1671101
- new version: 1.7.4

* Sun Nov 08 2020 daviddavid <daviddavid> 1.7.3-1.mga8
+ Revision: 1643820
- new version: 1.7.3

* Mon Aug 24 2020 daviddavid <daviddavid> 1.7.2-1.mga8
+ Revision: 1618293
- new version: 1.7.2
- remove merged upstream patch

* Sun Jul 19 2020 daviddavid <daviddavid> 1.7.1-2.mga8
+ Revision: 1607213
- add upstream patch to fix compatibility with lv2 1.18

* Tue Apr 21 2020 daviddavid <daviddavid> 1.7.1-1.mga8
+ Revision: 1570210
- new version: 1.7.1

* Thu Feb 20 2020 umeabot <umeabot> 1.7.0.1-2.mga8
+ Revision: 1546507
- Mageia 8 Mass Rebuild

* Mon Feb 03 2020 daviddavid <daviddavid> 1.7.0.1-1.mga8
+ Revision: 1486595
- new version: 1.7.0.1

* Tue Jan 21 2020 daviddavid <daviddavid> 1.7.0-1.mga8
+ Revision: 1481796
- new version: 1.7.0

* Mon Jan 06 2020 luigiwalser <luigiwalser> 1.6.1-2.mga8
+ Revision: 1476820
- rebuild for readline
+ wally <wally>
- build with new cmake macros

* Sun Dec 22 2019 daviddavid <daviddavid> 1.6.1-1.mga8
+ Revision: 1469384
- new version: 1.6.1

* Wed Nov 20 2019 daviddavid <daviddavid> 1.6.0.3-1.mga8
+ Revision: 1461809
- new version: 1.6.0.3

* Mon Oct 21 2019 daviddavid <daviddavid> 1.6.0.2-1.mga8
+ Revision: 1454839
- new version: 1.6.0.2

* Mon Sep 09 2019 daviddavid <daviddavid> 1.6.0.1-1.mga8
+ Revision: 1438688
- new version: 1.6.0.1

* Mon Sep 02 2019 daviddavid <daviddavid> 1.6.0-1.mga8
+ Revision: 1436336
- new version: 1.6.0

* Sun Jun 30 2019 daviddavid <daviddavid> 1.5.11.3-1.mga8
+ Revision: 1416356
- new version: 1.5.11.3

* Thu Mar 07 2019 daviddavid <daviddavid> 1.5.10.2-1.mga7
+ Revision: 1372132
- new version: 1.5.10.2

* Thu Jan 17 2019 daviddavid <daviddavid> 1.5.10.1-1.mga7
+ Revision: 1357555
- new version: 1.5.10.1

* Fri Jan 11 2019 daviddavid <daviddavid> 1.5.10-1.mga7
+ Revision: 1355102
- new version: 1.5.10

* Thu Sep 27 2018 daviddavid <daviddavid> 1.5.9-1.mga7
+ Revision: 1307531
- new version: 1.5.9

* Sun Sep 23 2018 umeabot <umeabot> 1.5.8.2-2.mga7
+ Revision: 1302025
- Mageia 7 Mass Rebuild

* Thu Jun 07 2018 daviddavid <daviddavid> 1.5.8.2-1.mga7
+ Revision: 1235066
- new version: 1.5.8.2

* Sun Jun 03 2018 daviddavid <daviddavid> 1.5.8.1-1.mga7
+ Revision: 1233812
- new version: 1.5.8.1

* Tue May 29 2018 daviddavid <daviddavid> 1.5.8-1.mga7
+ Revision: 1232908
- new version: 1.5.8

* Sat Mar 24 2018 daviddavid <daviddavid> 1.5.7-1.mga7
+ Revision: 1212014
- new version: 1.5.7

* Sat Dec 23 2017 daviddavid <daviddavid> 1.5.6-1.mga7
+ Revision: 1184141
- new version: 1.5.6

* Fri Dec 15 2017 daviddavid <daviddavid> 1.5.5-1.mga7
+ Revision: 1182674
- new version: 1.5.5
- rebase yoshimi-cflags patch

* Tue Oct 17 2017 daviddavid <daviddavid> 1.5.4.1-1.mga7
+ Revision: 1172425
- new version: 1.5.4.1

* Thu Sep 28 2017 daviddavid <daviddavid> 1.5.4-1.mga7
+ Revision: 1161034
- new version: 1.5.4

* Sun Aug 27 2017 daviddavid <daviddavid> 1.5.3-1.mga7
+ Revision: 1148265
- new version: 1.5.3

* Wed Jul 19 2017 daviddavid <daviddavid> 1.5.2.1-1.mga7
+ Revision: 1125058
- new version: 1.5.2.1

* Tue May 16 2017 animtim <animtim> 1.5.2-1.mga6
+ Revision: 1102129
- update to 1.5.2
  update to 1.5.2
  remove upstreamed patch

* Wed Apr 26 2017 akien <akien> 1.5.1.1-2.mga6
+ Revision: 1097639
- Fix invalid desktop file
- Version 1.5.1.1

* Fri Dec 23 2016 daviddavid <daviddavid> 1.5.0-1.mga6
+ Revision: 1076653
- new version: 1.5.0

* Tue Sep 06 2016 daviddavid <daviddavid> 1.4.1-1.mga6
+ Revision: 1050239
- new version: 1.4.1

* Tue Jun 21 2016 daviddavid <daviddavid> 1.4.0.1-1.mga6
+ Revision: 1037133
- new version: 1.4.0.1
- remove merged upstream patches

* Thu Apr 28 2016 daviddavid <daviddavid> 1.3.9-3.mga6
+ Revision: 1007331
- rebuild for fixed fltk-devel

* Tue Mar 15 2016 daviddavid <daviddavid> 1.3.9-2.mga6
+ Revision: 990757
- rename and rediff patch1 and patch2 (since fixed autopatch)

* Sun Feb 28 2016 daviddavid <daviddavid> 1.3.9-1.mga6
+ Revision: 980496
- new version: 1.3.9

* Sun Jan 24 2016 daviddavid <daviddavid> 1.3.8.2-1.mga6
+ Revision: 926796
- new version: 1.3.8.2

* Sun Jan 17 2016 daviddavid <daviddavid> 1.3.8.1-1.mga6
+ Revision: 925030
- new version: 1.3.8.1

* Sat Jan 16 2016 daviddavid <daviddavid> 1.3.8-1.mga6
+ Revision: 923454
- new version: 1.3.8

* Tue Jan 05 2016 neoclust <neoclust> 1.3.7.1-3.mga6
+ Revision: 919843
- Fix build flags, allow to build on ARM

* Mon Nov 30 2015 neoclust <neoclust> 1.3.7.1-2.mga6
+ Revision: 907353
- Add -DCMAKE_CXX_FLAGS cmake directive

* Fri Nov 27 2015 daviddavid <daviddavid> 1.3.7.1-1.mga6
+ Revision: 906393
- new version: 1.3.7.1
- rename and rediff patch1 (fix-permissions)
- BR readline-devel
- update file list

* Sat Oct 10 2015 wally <wally> 1.3.6-1.mga6
+ Revision: 889314
- new version 1.3.6 (mga#16909)

* Wed Oct 15 2014 umeabot <umeabot> 1.2.1-3.mga6
+ Revision: 744155
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.2.1-2.mga5
+ Revision: 690839
- Mageia 5 Mass Rebuild

* Sat Jun 28 2014 pterjan <pterjan> 1.2.1-1.mga5
+ Revision: 640758
- Drop patch fixed upstream
- 1.2.1

* Tue Mar 18 2014 akien <akien> 1.2.0-1.mga5
+ Revision: 605114
- New version 1.2.0

* Thu Mar 13 2014 dams <dams> 1.1.0-1.mga5
+ Revision: 603128
- new version 1.1.0

* Sat Oct 19 2013 umeabot <umeabot> 0.060.12-4.mga4
+ Revision: 529653
- Mageia 4 Mass Rebuild

* Thu Jan 17 2013 pterjan <pterjan> 0.060.12-3.mga4
+ Revision: 389214
+ rebuild (emptylog)

* Mon Jan 14 2013 umeabot <umeabot> 0.060.12-3.mga3
+ Revision: 387590
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 01 2012 malo <malo> 0.060.12-2.mga3
+ Revision: 324465
- fix build with gcc-4.7
- update RPM group

* Thu Jun 07 2012 solbu <solbu> 0.060.12-1.mga3
+ Revision: 256674
- New version
- spec cleanup

* Sun Dec 11 2011 eatdirt <eatdirt> 0.060.10-3.mga2
+ Revision: 180472
- Rebuilt for fftw-3.3

* Mon Jul 11 2011 fwang <fwang> 0.060.10-2.mga2
+ Revision: 122137
- more fix
- more patch to build with fltk1.3
- fix build with fltk 1.3
- rebuild for new fltk

* Sun May 01 2011 shikamaru <shikamaru> 0.060.10-1.mga1
+ Revision: 94130
- imported package yoshimi

